### Method

# Secret Service search_for_dbus_paths_finish

#### Declaration [src]

    gboolean
    secret_service_search_for_dbus_paths_finish (
      SecretService* self,
      GAsyncResult* result,
      gchar*** unlocked,
      gchar*** locked,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to search for items, and return their D-Bus object paths.

Matching items that are locked or unlocked, have their D-Bus paths placed in the `locked` or `unlocked` arrays respectively.

D-Bus object paths of the items will be returned in the `unlocked` or `locked` arrays. If you would to have `SecretItem` objects to be returned instead, then us the `secret_service_search()` and `secret_service_search_finish()` functions.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`unlocked` | An array of `gchar**`
| location to place an array of D-Bus object paths for matching items which were locked.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The instance takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.
`locked` | An array of `gchar**`
| location to place an array of D-Bus object paths for matching items which were locked.
| The argument will be set by the function.
| The argument can be set to `NULL`.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The instance takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the search was successful or not.